> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/bet-types-examples-singles-accumulators-custom-bets.../system-bet-2-4-including-1-ways.md).

# System Bet 2/4 Including 1 Ways

This is an example of a system 2/4 bet including 1 ways. There are 5 selections to make a system from. Three selections are independent, and the last two selections form a ways. A ways includes either two or up to 10 selections which all share the same eventId.\
In this example, we have one selection of "type":" system" (and size=2, to specify that this is as 2/4 system) which includes a total of four nested selections (3 non-ways selections and one selection of "type":" ways").\
The selection structure of this example can be depicted as follows:

*selection ("type": "system"), "size" \[2]*

* *selection 1 (selections 1,2,3 have different eventId and they are also different from that of selection 4,5)*
* *selection 2*
* *selection 3*
* *ways*
  * *selection 4  (selection 4 and selection 5 have the same eventId)*
  * *selection 5*&#x20;

\
The ticket contains only one bet (the Bets array length = 1).

<br>

<details>

<summary><strong>Ticket Placement Request</strong></summary>

```json
{
  "operatorId": 9985,
  "content": {
    "type": "ticket",
    "ticketId": "Ticket_4910",
    "bets": [
      {
        "selections": [
          {
            "type": "system",
            "size": [
              2
            ],
            "selections": [
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:14",
                "marketId": "818",
                "outcomeId": "1849",
                "specifiers": "total=1.5",
                "odds": {
                  "type": "decimal",
                  "value": "8.46"
                }
              },
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:18",
                "marketId": "552",
                "outcomeId": "1747",
                "odds": {
                  "type": "decimal",
                  "value": "1.25"
                }
              },
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:15",
                "marketId": "105",
                "outcomeId": "3",
                "specifiers": "from=1|to=10",
                "odds": {
                  "type": "decimal",
                  "value": "10.62"
                }
              },
              {
                "type": "ways",
                "selections": [
                  {
                    "type": "uf",
                    "productId": "3",
                    "eventId": "sr:match:16",
                    "marketId": "3",
                    "outcomeId": "5",
                    "odds": {
                      "type": "decimal",
                      "value": "1.21"
                    }
                  },
                  {
                    "type": "uf",
                    "productId": "3",
                    "eventId": "sr:match:16",
                    "marketId": "1",
                    "outcomeId": "2",
                    "odds": {
                      "type": "decimal",
                      "value": "2.08"
                    }
                  }
                ]
              }
            ]
          }
        ],
        "stake": [
          {
            "type": "cash",
            "currency": "EUR",
            "amount": "80"
          }
        ]
      }
    ],
    "context": {
      "channel": {
        "type": "internet",
        "ip": "212.33.11.90",
        "lang": "EN"
      },
      "endCustomer": {
        "id": "7864545"
      },
      "limitId": 1409
    }
  },
  "correlationId": "TwH298C38",
  "timestampUtc": 1678968675000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Ticket Placement Response</strong> </summary>

```json
{
  "content": {
    "type": "ticket-reply",
    "signature": "nnr1MuOnSlMjh5dZUhB2gNkZikArifGTVPIZIy2Gbjo=",
    "status": "accepted",
    "ticketId": "Ticket_4910",
    "code": 0,
    "message": "Transaction processed",
    "betDetails": [
      {
        "code": 0,
        "message": "Transaction processed",
        "selectionDetails": [
          {
            "code": 0,
            "message": "Transaction processed",            
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:14",
              "marketId": "818",
              "outcomeId": "1849",
              "specifiers": "total=1.5",
              "odds": {
                "type": "decimal",
                "value": "8.46"
              }
            }
          },
          {
            "code": 0,
            "message": "Transaction processed",            
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:18",
              "marketId": "552",
              "outcomeId": "1747",
              "odds": {
                "type": "decimal",
                "value": "1.25"
              }
            }
          },
          {
            "code": 0,
            "message": "Transaction processed",            
            "selection": {                   
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:15",
              "marketId": "105",
              "outcomeId": "3",
              "specifiers": "from=1|to=10",
              "odds": {
                "type": "decimal",
                "value": "10.62"
              }
            }
          },
          {
            "code": 0,
            "message": "Transaction processed",            
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:16",
              "marketId": "3",
              "outcomeId": "5",
              "odds": {
                "type": "decimal",
                "value": "1.21"
              }
            }
          },
          {
            "code": 0,
            "message": "Transaction processed",            
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:16",
              "marketId": "1",
              "outcomeId": "2",
              "odds": {
                "type": "decimal",
                "value": "2.08"
              }
            }
          }          
        ]
      }
    ],
    "exchangeRate":   [
      {
        "fromCurrency": "EUR",
        "toCurrency": "EUR",
        "rate": "1.00000"
      }
    ]
  },
  "correlationId": "TwH298C38",
  "timestampUtc": 1678968676000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/bet-types-examples-singles-accumulators-custom-bets.../system-bet-2-4-including-1-ways.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
